import request from '@/utils/request'

export function list(data) {
  return request({
    url: '/api/convenience/dept/list',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: '/api/convenience/dept/add',
    method: 'post',
    data
  })
}

export function del(params) {
  return request({
    url: '/api/convenience/dept',
    method: 'DELETE',
    params
  })
}

export function updateStaffIds(data) {
  return request({
    url: '/api/convenience/dept/updateStaffIds',
    method: 'PUT',
    data
  })
}

export function getStaffListByDeptId(params) {
  return request({
    url: '/api/convenience/dept/getStaffListByDeptId',
    method: 'GET',
    params
  })
}
